Public Member Functions | Static Public Member Functions | Related Functions

# Gtk::CssProvider Class Reference

TODO. More...

Inheritance diagram for Gtk::CssProvider:
[legend]
Collaboration diagram for Gtk::CssProvider:
[legend]

List of all members.

## Public Member Functions
virtual | ~CssProvider ()
GtkCssProvider* | gobj ()
| Provides access to the underlying C GObject.
const GtkCssProvider* | gobj () const
| Provides access to the underlying C GObject.
GtkCssProvider* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| CssProvider ()
bool | load_from_data (const std::string& data, gssize length)
bool | load_from_file (const Glib::RefPtr< const Gio::File >& file)
bool | load_from_path (const std::string& path)
## Static Public Member Functions
static Glib::RefPtr< CssProvider > | get_default ()
static Glib::RefPtr< CssProvider > | get_named (const Glib::ustring& name, const Glib::ustring& variant)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::CssProvider > | wrap (GtkCssProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

## Constructor & Destructor Documentation

virtual Gtk::CssProvider::~CssProvider | ( | ) | `[virtual]`

Gtk::CssProvider::CssProvider | ( | ) |

## Member Function Documentation

static Glib::RefPtr<CssProvider> Gtk::CssProvider::get_default | ( | ) | `[static]`

static Glib::RefPtr<CssProvider> Gtk::CssProvider::get_named | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | variant
| ) |  | `[static]`

const GtkCssProvider* Gtk::CssProvider::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::StyleProvider.

GtkCssProvider* Gtk::CssProvider::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::StyleProvider.

GtkCssProvider* Gtk::CssProvider::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::CssProvider::load_from_data | ( | const std::string & | data,
|  | gssize | length
| ) |  |

bool Gtk::CssProvider::load_from_file | ( | const Glib::RefPtr< const Gio::File > & | file ) |

bool Gtk::CssProvider::load_from_path | ( | const std::string & | path ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::CssProvider > wrap | ( | GtkCssProvider * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cssprovider.h